<template>
	<div class="homebg">
     <div style="width:110%;height:2.4rem;background:#b9d4e2;margin-left:-5%"></div>
	 <div class="swiper-container">
            <div class="swiper-wrapper" >
                <div class="swiper-slide sw" >
                    <!-- <img class="video"  src="../assets/images/one.jpg" alt=""> -->
                     <video id="hvideo" loop class="video" preload="true" controls x5-video-player-type="h5-page" x5-video-player-fullscreen="false"
                        webkit-playsinline="true" playsinline="true" x-webkit-airplay="true"
                        poster="../assets/images/mask.jpeg"
                        src="../assets/video/lawvideo.mp4"></video>
                </div>
				<div class="swiper-slide sw">
                    <img style="width:100%;height:100%;" :src="bg1" alt="">
                    <img class="dlzx"  src="../assets/images/dlzx.png" alt="">
                    <img class="dlzxtop"  src="../assets/images/dlzxtop.png" alt="">
					<img v-show="isGif"  class="gif" src="../assets/images/jupai1.png" alt="">
                    <img v-show="!isGif"  class="gif" src="../assets/images/jupai2.png" alt="">
                    <img class="dlzxbottom"  src="../assets/images/dlzxbottom.png" alt="">
                </div>
				<div class="swiper-slide sw">
                    <img style="width:100%;height:100%;" :src="bg2" alt="">
					<img class="xyjl" src="../assets/images/xyjl.png" alt="">
                    <img class="xyjltop" src="../assets/images/xyjltop.png" alt="">
					<img v-show="isGif" class="gif dc" src="../assets/images/dacha1.png" alt="">
                    <img v-show="!isGif" class="gif dc" src="../assets/images/dacha2.png" alt="">
                    <img class="xyjlbottom" src="../assets/images/xyjlbottom.png" alt="">
                </div>
				<div class="swiper-slide sw">
                     <img style="width:100%;height:100%;" :src="bg3" alt="">
					<img class="xfxz" src="../assets/images/xfxz.png" alt="">
                    <img class="xfxztop" src="../assets/images/xfxztop.png" alt="">
					<img v-show="isGif" class="gif yj" src="../assets/images/yanjing1.png" alt="">
                    <img v-show="!isGif" class="gif yj" src="../assets/images/yanjing2.png" alt="">
                    <img class="xfxzbottom" src="../assets/images/xfxzbottom.png" alt="">
                </div>
            </div>
            <div class="dotsbox">
                <img v-show="chooseIndex != 3" class="tips" src="../assets/images/tipsr.png" alt="">
                <img v-show="chooseIndex == 3" class="tips" src="../assets/images/tipsl.png" alt="">
                <div class="dots">
                    <div :class="{'dotActived':chooseIndex == 0}" class="dot"></div>
                    <div :class="{'dotActived':chooseIndex == 1}" class="dot"></div>
                    <div :class="{'dotActived':chooseIndex == 2}" class="dot"></div>
                    <div :class="{'dotActived':chooseIndex == 3}" class="dot"></div>
                </div>
                <img class="btn" @click="goPost" src="../assets/images/btn.png"  alt="">
            </div>
	 </div>
	</div>
</template>

<script>
import Swiper from 'swiper';
import 'swiper/dist/css/swiper.min.css';
import MtaH5 from 'mta-h5-analysis';
import {wxshare} from '@/apis/wxshare'
export default {
  data () {
    return {
      video: require('../assets/images/one.jpg'),
      bg1: require('../assets/images/bg1.jpg'),
      bg2: require('../assets/images/bg2.jpg'),
      bg3: require('../assets/images/bg3.jpg'),
      mySwiper:'',
      chooseIndex:0,
      isGif:false,
      isshow:false,
      Request:''
    }
  },
  created(){
     
  },
   //if your need multi drag  processData :false,
  mounted() {
      document.getElementById('hvideo').addEventListener('play',()=>{
          gtag('event', 'play', {'event_category': 'wwflaw','event_label': 'click'});
            MtaH5.clickStat('play')
      })
      document.addEventListener('WeixinJSBridgeReady', function() {
            document.getElementById('hvideo').play();
            gtag('event', 'play', {'event_category': 'wwflaw','event_label': 'click'});
            MtaH5.clickStat('play')
       }, false);
    this.Request = new Object();
    this.Request = this.GetRequest();//拿到当前路径参数
    this.$root.click_id = this.Request.gdt_vid
    console.log(JSON.stringify(this.Request))
    $.ajax({
        type:'POST',
        url:'https://wwf.uglobal.com.cn/sendaction.php',
        dataType:"json",
        data:{
            'url': 'https://wwf.uglobal.com.cn/law',
            'action_type': 'RESERVATION',
            'click_id': this.$root.click_id
        },
        complete: ( res ) =>{
            // console.log(res)
        }
    })
      
      wxshare()
      MtaH5.pgv();
      gtag('config', 'UA-151682819-4', {'page_title': 'wwflaw_pv1'}); 
    //   console.log(MtaH5)
     this.initSwiper()
     setInterval(() => {
        this.isGif = !this.isGif
     }, 1000);
  },
  methods:{
      goPost(){
        MtaH5.clickStat('joinus')
        // gdt('track', 'RESERVATION',{'key1': 'wwflaw_pv1'});
        if(this.chooseIndex == 0){
            gtag('event', 'start1', {'event_category': 'wwflaw','event_label': 'click'});
        }else if(this.chooseIndex == 1){
            gtag('event', 'start2', {'event_category': 'wwflaw','event_label': 'click'});
        }else if(this.chooseIndex == 2){
            gtag('event', 'start3', {'event_category': 'wwflaw','event_label': 'click'});
        }else if(this.chooseIndex == 3){
            gtag('event', 'start4', {'event_category': 'wwflaw','event_label': 'click'});
        }
        this.$dialog.loading.open('请稍等');
        $.ajax({
            type:'POST',
            url:'https://wwf.uglobal.com.cn/sendaction.php',
            dataType:"json",
            data:{
                'url': 'https://wwf.uglobal.com.cn/law',
                'action_type': 'CONFIRM_EFFECTIVE_LEADS',
                'click_id': this.$root.click_id
            },
            complete: ( res ) =>{
                $.ajax({
                    type:'GET',
                    url:'https://wwf.uglobal.com.cn/number.php',
                    dateType:'json',
                    success: ( res ) =>{
                        this.$dialog.loading.close();
                        console.log(JSON.parse(res).number)
                        this.$router.replace({
                            name:'poster',
                            params: {
                                number: JSON.parse(res).number
                            }
                        })
                    },
                    error:function(err){
                        // console.log(err)
                    }
                })
            }
        })
        
          
      },
      initSwiper(){
        let _this = this
        this.mySwiper = new Swiper('.swiper-container', {
            loop:false,
            slidesPerView: "auto",
            resistanceRatio:0,//禁止首屏左滑拉伸动画
            // centeredSlides:true,
            // observer:true,
            // observeParents:true,
            onSlideChangeEnd: function(){
                // _this.activeIndex = this.activeIndex - 2 < 0 ? 2 : this.activeIndex - 2 //切换结束时，this.activeIndex表示是第几个slide
                _this.chooseIndex = _this.mySwiper.activeIndex
                if(_this.chooseIndex == 0){
                    gtag('config', 'UA-151682819-4', {'page_title': 'wwflaw_pv1'});
                    document.getElementById('hvideo').play();
                }else if(_this.chooseIndex == 1){
                    gtag('config', 'UA-151682819-4', {'page_title': 'wwflaw_pv2'});
                     document.getElementById('hvideo').pause();
                }else if(_this.chooseIndex == 2){
                    gtag('config', 'UA-151682819-4', {'page_title': 'wwflaw_pv3'});
                     document.getElementById('hvideo').pause();
                }else if(_this.chooseIndex == 3){
                    gtag('config', 'UA-151682819-4', {'page_title': 'wwflaw_pv4'});
                     document.getElementById('hvideo').pause();
                }
            },
        })
        this.$nextTick(()=>{
            
        })
        
      },
      GetRequest() {
          var url = location.href; 
        // var url = 'https://weboutique.cartier.cn/campaign/2020_7_PASHA?utm_source=wechat&utm_medium=social-advertising&utm_campaign=Bu21_pasha-NA-NA-NA-FR_France-ZH_HANS_Simplified_Chinese-WAT_Watches-NA-Pasha&utm_content=momentsfeed&wx_aid=2212798904&comp_id=1283037217&gdt_vid=wx0ew7wvwqr5bty200&wx_traceid=wx0ew7wvwqr5bty2'
        //  var url = 'https://wx.kaikeba.com/opencourseapi/wechat/redirect?scope=snsapi_userinfo&state=kkb&redirectURI=https%3A%2F%2Fwx.kaikeba.com%2Fvipcourse%2Fzlao4y8c1h%2Fvjd9vjp8bb%3Ftenant%3Dwxc91088d4dd18fd40_o0zJa6fJr61n6Msn5lSoUpImvCRI%26channelParams%3D%257B%2522tenant%2522%253A%2522wxc91088d4dd18fd40%2522%2C%2522wx_aid%2522%253A%25222234961358%2522%2C%2522tid%2522%253A%25222234961805%2522%2C%2522gdt_vid%2522%253A%2522wx0mgebizqyds2we00%2522%2C%2522wx_traceid%2522%253A%2522wx0mgebizqyds2we00%2522%2C%2522code%2522%253A%2522061qs3z12zxzhU0rXeB12mFNy12qs3z1%2522%2C%2522state%2522%253A%2522kkb%2522%2C%2522appid%2522%253A%2522wxc91088d4dd18fd40%2522%2C%2522utm_source%2522%253A%2522wechat_moments%2522%2C%2522utm_content%2522%253A%2522https%253A%252F%252Fwx.kaikeba.com%252Fvip_course%252Fzlao4y8c1h%252Fvjd9vjp8bb%253Ftenant%253Dwxc91088d4dd18fd40%2526wx_aid%253D2234961358%2526tid%253D2234961805%2526gdt_vid%253Dwx0mgebizqyds2we00%2526wx_traceid%253Dwx0mgebizqyds2we00%2526code%253D061qs3z12zxzhU0rXeB12mFNy12qs3z1%2526'
         
         url = decodeURIComponent(decodeURIComponent(url))
         console.log(url)
          var theRequest = new Object();
          //有参数
          if (url.indexOf("?") != -1) {
            var str = url.split("?")
            str.forEach(item =>{
              //至少两个参数
              if(item.indexOf('&') != -1){
                var  strs = item.split("&");
                for(var i = 0; i < strs.length; i ++) {
                  theRequest[strs[i].split("=")[0]] = decodeURIComponent(strs[i].split("=")[1]);
                }
              }else{
                //只有一个参数
                 if(item.indexOf('=') != -1){
                    var  strs = item.split("=");
                    theRequest[strs[0]] = decodeURIComponent(strs[1].replace("/","").replace("#",""));
                 }
               
              }
            })
          
          }
          return theRequest;
       }
  }
	
}
</script>

<style scoped lang="scss">
// 模糊背景
.filter{filter:blur(5px);}
.popup{
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9999;
    background: rgba($color: #000000, $alpha: 0.4);
}
.dotActived{
    background: #354866!important;
}
.swiper-container{
    width: 100%;
    height: 100%;
    position: relative;
     .swiper-slide{
        width: 7.5rem;
        height: 13.08rem;
    }
}
.video{
    width: 7.5rem;
    height: 9.38rem;
}
.sw{
    width: 7.5rem;
    height: 13.08rem;
    background-size: 100% 100%;
    position:relative;
    //解决闪烁
    transform:translate3d(0,0,0);
    overflow:hidden;
    img{
        transform:translate3d(0,0,0)
    }
    .gif{
        width: 4.98rem;
        height: 4.66rem;
        position: absolute;
        top: 1.9rem;
        left: 0.95rem;
    }
    .dc{
        left: 1.45rem;
    }
    .yj{
        left: 1.1rem;
    }
    .dlzx{
        width: 0.85rem;
        height: 3.7rem;
        position:absolute;
        top: -2px;
        left: 0;
        transform:translate3d(0,0,0)
    }
    .dlzxtop{
        width: 5rem;
        height: 1.87rem;
        position:absolute;
        top: 0.3rem;
        left: 1.5rem;
    }
    .dlzxbottom{
        width: 3.29rem;
        height: 0.23rem;
        position: absolute;
        // left: 2rem;
        top: 8.15rem;
        left: 0;
        right: 0;
        margin-left: auto;
        margin-right: auto;
    }
    .xyjl{
        width: 0.85rem;
        height: 3.7rem;
        position:absolute;
        top: 2.86rem;
        left: 0;
    }
    .xyjltop{
        width: 5.04rem;
        height: 1.9rem;
        left: 1.32rem;
        position:absolute;
        top: 0.3rem;
    }
    .xyjlbottom{
        width: 6.54rem;
        height: 1.03rem;
        position:absolute;
        // left: 0.3rem;
        top: 7.71rem;
        left: 0;
        right: 0;
        margin-left: auto;
        margin-right: auto;
    }
    .xfxz{
        width: 0.85rem;
        height: 3.7rem;
        position:absolute;
        top: -2px;
        left: 0;
    }
    .xfxztop{
        width: 5rem;
        height: 1.63rem;
        left: 1.53rem;
        position:absolute;
        top: 0.3rem;
    }
    .xfxzbottom{
        width: 3.89rem;
        height: 0.74rem;
        position:absolute;
        // left: 1.55rem;
        top: 7.71rem;
        left: 0;
        right: 0;
        margin-left: auto;
        margin-right: auto;
    }

}
.dotsbox{
    width: 100%;
    height: 1.75rem;
    position:absolute;
    z-index: 99;
    top: 9.36rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    .tips{
        width: 2.15rem;
        height: 0.19rem;
        margin-top: 0.3rem;
    }
    .dots{

        flex-shrink: 0;
        width: 0.75rem;
        margin-top: 0.1rem;
        display: flex;
        flex-direction: row;
        justify-content:space-between;
        .dot{
            flex-shrink: 0;
            width: 5px;
            height: 5px;
            box-sizing: border-box;
            border: 1px solid #354866;
            border-radius: 50%;
            // border-radius: 10px;
        }
    }
    .btn{
        width: 4.05rem;
        height: 0.6rem;
        margin-top: 0.44rem;
        -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
    }
}
</style>
